edu.whs.spin2018.baoapp.views.spiel

## Class SteinView

- java.lang.Object
- - edu.whs.spin2018.baoapp.views.spiel.SteinView

-     public class SteinView
      extends java.lang.Object

  Repraesentiert einen Stein auf dem Spielfeld.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SteinView(android.widget.ImageView steinBild, PositionAufBildschirm pos, int steinBreite)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aktualisierePositionaufBildschirmNachAnimation(PositionAufBildschirm pos)` Aktualisiert die Position der SteinView auf dem Bildschirm.
    `float` | `gibPivotX()`
    `float` | `gibPivotY()`
    `PositionAufBildschirm` | `gibPositionAufBildschirm()` Liefert die Position der SteinView auf dem Bildschirm
    `android.widget.ImageView` | `gibSteinBild()` Gibt die ImageView, durch die der Stein dargestellt wird.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SteinView

          public SteinView(android.widget.ImageView steinBild,
                           PositionAufBildschirm pos,
                           int steinBreite)

  - ### Method Detail

    - #### gibPositionAufBildschirm

          public PositionAufBildschirm gibPositionAufBildschirm()

      Liefert die Position der SteinView auf dem Bildschirm
      Returns:
        Position auf dem Bildschirm

    - #### aktualisierePositionaufBildschirmNachAnimation

          public void aktualisierePositionaufBildschirmNachAnimation(PositionAufBildschirm pos)

      Aktualisiert die Position der SteinView auf dem Bildschirm.
      Parameters:
        `pos` - - neue Position der SteinView auf dem Bildschirm.

    - #### gibSteinBild

          public android.widget.ImageView gibSteinBild()

      Gibt die ImageView, durch die der Stein dargestellt wird.
      Returns:
        Bild des Steines

    - #### gibPivotX

          public float gibPivotX()

    - #### gibPivotY

          public float gibPivotY()